# THIS FILE IS OBSOLETE IF WE ARE USING k8s DEPLOYMENT OBJECT
# DO NOT REFER THIS
apiVersion: v1 # k8s api version for Pod
               # different k8s object type i.e Service, Pod etc might have different apiVersion, always check k8s doc.

kind: Pod # this defines the kind of k8s object, this config is for Pod
          # Pod object are used for docker container(s)
metadata: # to add metadata(i.e tags) to find out the purpose of this pod
  name: client-pod
  labels: # Pod label - its used by K8s SERVICE SELECTOR
    component: web # key value pair , it could be anything
                   # SYNTAX : space after colon is imp to identify kae value pair, else it will be considered as string

spec: # specification section for this k8s object
  containers: # docker container definition
    - name: client  # docker container name
      image: stephengrider/multi-worker # this image is required to be already built, k8s does not build any image
      ports:
        - containerPort: 3000 # port which is exposed by above docker  image